# curveset.cpp File Reference

Curve Set Implementation File. More...

`#include "curve_helper.h"`
`#include "curveset.h"`
`#include "blinepoint.h"`
`#include <ETL/bezier>`
`#include <vector>`
`#include <list>`
`#include <set>`

## Enumerations

enum | SetOp { INTERSECT = 0, UNION, SUBTRACT, INVSUBTRACT, NUM_SETOPERATIONS }

## Functions

template<typename T>
bool | Zero (const T &a, const T &tol=(T) ERROR)

## Variables

const Real | ERROR = 1e-10

## Detailed Description

Curve Set Implementation File.

$Id$

## Enumeration Type Documentation

enum SetOp

Enumerator:

  INTERSECT |
  UNION |
  SUBTRACT |
  INVSUBTRACT |
  NUM_SETOPERATIONS |

## Function Documentation

template<typename T>

bool Zero | ( | const T & | a,
|  | const T & | tol = `(T)ERROR` |
| ) |  |  | `[inline]`

## Variable Documentation

const Real ERROR = 1e-10